#
# spec file for package sablot (Version 1.0.2)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libstdc++-devel libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           sablot
BuildRequires:  expat gcc-c++
Version:        1.0.2
Release:        13.2
Provides:       sablotron
Requires:       expat
Requires:       gcc
Requires:       libstdc++-devel
Autoreqprov:    on
Group:          Productivity/Publishing/XML
License:        GPL
URL:            http://www.gingerall.com/
Summary:        XSL Processor
Source:         Sablot-%{version}.tar.bz2
Patch0:         %{name}-%{version}-newautoconf.diff
Patch2:         %{name}-%{version}-conv.diff
Patch3:         %{name}-%{version}-convout.diff
Patch4:         %{name}-%{version}-gcc3.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Sablotron is an XSL processor fully implemented in C++. The excellent
Expat parser is used as the associated XML parser.



Authors:
--------
    Tomas Kaiser <tom at gingerall.com>
    Pavel Hlavnicka <pavel at gingerall.cz>
    James Clark

%debug_package
%package devel
Requires:       sablot
Summary:        Header Files and Libraries for Sablot Development
Group:          Productivity/Publishing/XML
Provides:       sablotd
Obsoletes:      sablotd

%description devel
Header files and libraries needed for sablot development.



Authors:
--------
    Tomas Kaiser <tom at gingerall.com>
    Pavel Hlavnicka <pavel at gingerall.cz>
    James Clark

%prep
%setup -q -n Sablot-%{version}
%patch0
%patch2
%patch3
%patch4
chmod 644 README
touch COPYING NEWS AUTHORS ChangeLog

%build
%{suse_update_config -f tools/}
libtoolize --force
aclocal --force
autoconf --force
automake -fac
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
./configure \
--prefix=%{_prefix} \
--libdir=%{_libdir} \
--mandir=%{_mandir}
make

%install
make install DESTDIR="$RPM_BUILD_ROOT"

%post
%run_ldconfig

%postun
%run_ldconfig

%files
%defattr(-,root,root)
%doc README
%{_bindir}/sabcmd
%{_libdir}/*.so.*
%{_libdir}/*.la
%{_mandir}/man1/*

%files devel
%defattr(-,root,root)
%attr(644,root,root) /usr/include/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_bindir}/sablot-config

%clean
rm -rf $RPM_BUILD_ROOT

%changelog -n sablot
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Aug 03 2005 - mjancar@suse.cz
- update to 1.0.2
- add expat gcc and libstdc++-devel fo Requires
* Tue Feb 10 2004 - tcrhak@suse.cz
- fix to build on 64 bit archs
* Thu Feb 05 2004 - tcrhak@suse.cz
- update to version 1.0.1
* Sat Jan 10 2004 - adrian@suse.de
- add %%run_ldconfig
* Fri Jul 25 2003 - tcrhak@suse.cz
- update to version 0.98
* Mon Jun 02 2003 - ro@suse.de
- install man-page correctly and add to filelist
* Thu Jan 09 2003 - tcrhak@suse.cz
- link with libexpat
* Thu Jan 02 2003 - tcrhak@suse.cz
- use type XML_Error instead of int in parser.cpp
- fixed permissions of directory with README
  (malfixed earlier)
* Thu Dec 19 2002 - tcrhak@suse.cz
- update to version 0.96
* Tue Apr 02 2002 - tcrhak@suse.cz
- build with new automake/autoconf
- fixed permissions of README
* Mon Feb 11 2002 - tcrhak@suse.cz
- update to 0.82
- used %%{_libdir} and %%{_lib} macros
* Tue Jan 29 2002 - schwab@suse.de
- Link against libsupc++ and libgcc_eh if they exist, until libtool is
  fixed.
* Tue Jun 26 2001 - adostal@suse.cz
- fix to compile on ia64
* Fri Jun 15 2001 - adostal@suse.cz
- upgrade to 0.60
* Thu Jun 14 2001 - adostal@suse.cz
- upgrade to 0.52 and fix for new autoconf
* Fri Apr 20 2001 - cihlar@suse.cz
- fixed call of suse_update_config
- fixed to compile on s390
* Wed Mar 21 2001 - schwab@suse.de
- Set CXXFLAGS to $RPM_OPT_FLAGS.
* Mon Mar 12 2001 - cihlar@suse.cz
- update to version 0.51
* Thu Jan 04 2001 - cihlar@suse.cz
- removed expat sources, using package expat
* Wed Nov 15 2000 - cihlar@suse.cz
- renamed sablotd -> sablot-devel
- fixed to compile
* Mon Sep 18 2000 - cihlar@suse.cz
- package created
